Errors: MAKERS, countries, order…

Home Forums Store Locator Plus Errors: MAKERS, countries, order…

This topic contains 4 replies, has 2 voices, and was last updated by  Cici 2 months, 4 weeks ago.

Viewing 5 posts - 1 through 5 (of 5 total)
  • Author
    Posts
  • #42937

    Gerardo
    Participant

    Hi, i can’t view correctly the plugin. The Geoposition don’t run and i can’t see the makers in all the case.
    Please check this:

    1. Don’t see the makers:

    Puntos de Venta


    The code in this page: [slplus]

    2. Don’t see the makers and don’t see only the “Brasil” stores:

    puntos de venta brasil


    Code in this page: [slplus country=’Brasil’]

    3. Don’t see the makers and don’t see the ORDER:

    puntos de venta brasil


    Code in this page: [slplus orderby=’store’]

     

     

    The server info:
    <div id=”wpcsl-option-plugin_environment” class=”group subtab_plugin_environment subtab” style=”display: block;”>
    <div class=”inside section meta-box-sortables”>
    <div class=”section_description”>
    <div class=”left_side”>
    <div class=”content_pad”>
    <p class=”envinfo”><span class=”label”>Store Locator Plus:</span>4.6</p>
    <p class=”envinfo”><span class=”label”>Pro Pack:</span>4.5.07</p>
    <p class=”envinfo”><span class=”label”>Site URL: </span>http://www.ostakia.com</p&gt;
    <p class=”envinfo”><span class=”label”>This Info Cached:</span>1472650609</p>
    <p class=”envinfo”><span class=”label”>Network Active:</span>No</p>
    <p class=”envinfo”><span class=”label”>WordPress Version:</span>4.6</p>
    <p class=”envinfo”><span class=”label”>PHP Version:</span>5.3.29</p>
    <p class=”envinfo”><span class=”label”>MySQL Version:</span>5.1.63</p>
    <p class=”envinfo”></p>
    <p class=”envinfo”><span class=”label”>PHP Limit:</span>256M</p>
    <p class=”envinfo”><span class=”label”>WordPress General Limit:</span>40M</p>
    <p class=”envinfo”><span class=”label”>WordPress Admin Limit:</span>256M</p>
    <p class=”envinfo”><span class=”label”>PHP Peak RAM:</span>89 MB</p>
    <p class=”envinfo”><span class=”label”>PHP Post Max Size:</span>99M</p>

    </div>
    </div>
    </div>
    </div>
    </div>

    #42938

    Gerardo
    Participant

    The info (clean):

    Store Locator Plus:4.6
    Pro Pack:4.5.07
    Site URL:http://www.ostakia.com
    This Info Cached:1472650609
    Network Active:No
    WordPress Version:4.6
    PHP Version:5.3.29
    MySQL Version:5.1.63
    PHP Limit:256M
    WordPress General Limit:40M
    WordPress Admin Limit:256M
    PHP Peak RAM:89 MB
    PHP Post Max Size:99M

    #42941

    Cici
    Keymaster

    Your error is in your child theme or the file path to something (perhaps your markers or icons?? I do not know what Waypoint is) from what I can tell.

    See Troubleshooting on how to debug. There is also a tutorial video link there on how to use firefox tools  to find the errors and debug

    I looked at your site using Chrome INSPECT element /console and see the  failure that points to your Ostaka Waypoint:

    Here is a screenshot of the error

    Attachments:
    You must be logged in to view attached files.
    #42946

    Gerardo
    Participant

    And the order? Or filter ‘Brasil’??

    When i click in a direction the map not respond.

    In safari and chrome don’t answer about “if yout share your geolocation..”

    #42995

    Cici
    Keymaster

    1) I looked at your site and  specifically to the link for dealers , it shows you are NOT using SLP 4.6 but are using Store Locator 4.5.05…Provide a screenshot of your Plugin environment. and the actual site url you think you have SLP 4.6 on. I dont see it in there.

    2) You also have some plugins using OUTDATED jquery createitjqyery??: /*! jQuery UI – v1.8.21 – 2012-06-05

    this will cause interference with your map

    3) Chrome will no longer  ask your site visitor  to share location. Chrome (and perhaps safari) will not request you to  allow location even if you have location sensor enabled because they consider http as insecure. This was announce with CHROME version 50 (see the Google developers console) and is the way the browsers are forcing people to update to https going forward.  They do it on my site as well with this warning: getCurrentPosition() and watchPosition() no longer work on insecure origins. To use this feature, you should consider switching your application to a secure origin, such as HTTPS. See https://goo.gl/rStTGz for more details.

    4) I do not know what you did on this  site http://site.ostakia.com/dealers?lang=en

    you went from bad to worse, NOW your error messages are even more numerous.  Such as  this NO NO “You have included the Google API multiple times”, apparently you have more than One locator or plugin or theme using geocoding.   If you look at View Page Source on your main site there is this line  that tells you another plugin or your them is trying to also use Google Maps API: This isnt our shortcodes

    ”   <script src=”http://maps.googleapis.com/maps/api/js?v=3.10&sensor=true”type=”text/javascript”></script>/header>    </div> <div id=”main” class=”main-container”><div class=”main wrapper clearfix”>

    <div id=”primary” class=”site-content”><div id=”content” role=”main”><article id=”post-5″ class=”post-5 page type-page status-publish hentry”>

    <div class=”entry-content”>

    You need to Troubleshoot and use the debugging, I cant help you without you finding the plugin or theme that is corrupting or duplicating the Google attempt to geocode and query locations

    5) Your “Only with country = shortcode” you reference?   you  have not shown me that you have the Experience Add-on, or any of the Enhanced Legacy Add-ons for  Search, Map, results , it  is not part of the base plugin…. If you want to use those Short codes you need Experience Add-on

    These are some of the many Failures and errors on your page

    :js?language=es&region=AR&ver=4.5.05:93 You have included the Google Maps API multiple times on this page. This may cause unexpected errors.Xg @ js?language=es&region=AR&ver=4.5.05:93

    jquery.js?ver=1.12.4:4 Synchronous XMLHttpRequest on the main thread is deprecated because of its detrimental effects to the end user’s experience. For more help, check https://xhr.spec.whatwg.org/.

    util.js:209 Google Maps API warning: NoApiKeys https://developers.google.com/maps/documentation/javascript/error-messages#no-api-keys

    util.js:209 Google Maps API warning: RetiredVersion https://developers.google.com/maps/documentation/javascript/error-messages#retired-version

    util.js:209 Google Maps API warning: SensorNotRequired https://developers.google.com/maps/documentation/javascript/error-messages#sensor-not-required (note SLP does not get this error returned, you are using another locator)

    util.js:29 Uncaught TypeError: _.pa is not a function

    maps.googleapis.com/maps-api-v3/api/js/24/13/stats.js:3 Uncaught TypeError: _.mf is not a function

    common.js:47 Uncaught TypeError: _.pa is not a function

    common.js:181 Uncaught TypeError: Cannot read property ‘0’ of undefined

    common.js:5 Uncaught TypeError: Cannot read property ’27’ of undefined

    common.js:26 Uncaught TypeError: a.split is not a function

    common.js:4 Uncaught TypeError: Cannot read property ’21’ of undefined

    common.js:21 Uncaught TypeError: Cannot read property ‘parentNode’ of undefined

    73common.js:237 Uncaught TypeError: e.lat is not a function

    common.js:21 Uncaught TypeError: Cannot read property ‘parentNode’ of undefined

    7common.js:237 Uncaught TypeError: e.lat is not a function

    common.js:5 Uncaught TypeError: Cannot read property ’27’ of undefined

    common.js:162 Uncaught TypeError: a.lng is not a functionvv @ common.js:162_.r.Z @ common.js:226(anonymous function) @ js?language=es&region=AR&ver=4.5.05:112

    common.js:5 Uncaught TypeError: Cannot read property ’27’ of undefined_.hj @ common.js:5tv @ common.js:165_.r.size_changed @ common.js:220zb @ js?language=es&region=AR&ver=4.5.05:37zb @ js?language=es&region=AR&ver=4.5.05:37_.r.set @ js?language=es&region=AR&ver=4.5.05:96_.nw.G @ common.js:243_.E.trigger @ js?language=es&region=AR&ver=4.5.05:94(anonymous function) @ js?language=es&region=AR&ver=4.5.05:36_.E.trigger @ js?language=es&region=AR&ver=4.5.05:94(anonymous function) @ js?language=es&region=AR&ver=4.5.05:36

     

    Attachments:
    You must be logged in to view attached files.
Viewing 5 posts - 1 through 5 (of 5 total)

You must be logged in to reply to this topic.